package hra;

/**
 *
 * @author lsroubov
 */
public class Zapas {
    private Hrac hrac1;
    private Hrac hrac2;
    private HodKostkou kostka;
    
    public Zapas (Hrac hrac1, Hrac hrac2, HodKostkou kostka){
        this.hrac1 = hrac1;
        this.hrac2 = hrac2;
        this.kostka = kostka;
    }
    
    private void popis(){
        System.out.printf("%20s %s\n", hrac1, hrac1.vypisStavHry());
        System.out.printf("%20s %s\n", hrac2, hrac2.vypisStavHry()); 
    }
    
    private void vypisZpravu(String zprava){
        System.out.printf("%s\n",zprava);
    }
    
    public void bojujte(){
        System.out.printf("Hra zacina!\n");
        popis();
        while(true){
            try {
                Thread.sleep(2000);
            } catch (InterruptedException e) {
                System.err.printf("Nekdo me vzbudil, pisu porad.\n");
            }
            
            hrac1.hrajTed(hrac1);
            vypisZpravu(hrac1.vratPosledniZpravu());
            popis();
            if(hrac1.ukonciHru()){
                break;
            }
            hrac2.hrajTed(hrac2);
            vypisZpravu(hrac2.vratPosledniZpravu());
            popis();
            if(hrac2.ukonciHru()){
                break;
            }
        }
    }
}
